Package ru.bitel.bgbilling.modules.bill.common.bean

# Class BillListFilter

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.BillListFilter

public class BillListFilter extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillListFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `int`
  `getAddressSortParamId()`
  `String`
  `getBillNumber()`
  `List<Integer>`
  `getContractLabelIds()`
  `String`
  `getContractLabelMode()`
  `String`
  `getContractTitle()`
  `int`
  `getCountOfBill()`
  `int`
  `getDateType()`
  `int`
  `getMonth()`
  `String`
  `getNameSortParam()`
  `int`
  `getPackageId()`
  `int`
  `getPackageParamId()`
  `Page`
  `getPage()`
  `int`
  `getPayedType()`
  `Period`
  `getPeriod()`
  `int`
  `getPrimarySortMode()`
  `int`
  `getSecondarySortMode()`
  `List<Integer>`
  `getTypeIds()`
  `int`
  `getUnloadType()`
  `int`
  `getUserType()`
  `int`
  `getYear()`
  `boolean`
  `isForRegister()`
  `boolean`
  `isGetXml()`
  `BillListFilter`
  `setAccountId(int accountId)`
  `BillListFilter`
  `setAddressSortParamId(int addressSortParamId)`
  `BillListFilter`
  `setBillNumber(String billNumber)`
  `BillListFilter`
  `setContractLabelIds(List<Integer> contractLabelIds)`
  `BillListFilter`
  `setContractLabelMode(String contractLabelMode)`
  `BillListFilter`
  `setContractTitle(String contractTitle)`
  `BillListFilter`
  `setCountOfBill(int countOfBill)`
  `BillListFilter`
  `setDateType(int dateType)`
  `BillListFilter`
  `setForRegister(boolean forRegister)`
  `BillListFilter`
  `setGetXml(boolean getXml)`
  `BillListFilter`
  `setMonth(int month)`
  `BillListFilter`
  `setNameSortParam(String nameSortParam)`
  `BillListFilter`
  `setPackageId(int packageId)`
  `BillListFilter`
  `setPackageParamId(int packageParamId)`
  `BillListFilter`
  `setPage(Page page)`
  `BillListFilter`
  `setPayedType(int payedType)`
  `BillListFilter`
  `setPeriod(Period period)`
  `BillListFilter`
  `setPrimarySortMode(int primarySortMode)`
  `BillListFilter`
  `setSecondarySortMode(int secondarySortMode)`
  `BillListFilter`
  `setTypeIds(List<Integer> typeIds)`
  `BillListFilter`
  `setUnloadType(int unloadType)`
  `BillListFilter`
  `setUserType(int userType)`
  `BillListFilter`
  `setYear(int year)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BillListFilter

    public BillListFilter()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### getBillNumber

    public String getBillNumber()

  - ### getContractTitle

    public String getContractTitle()

  - ### getMonth

    public int getMonth()

  - ### getPackageId

    public int getPackageId()

  - ### getPackageParamId

    public int getPackageParamId()

  - ### getPage

    public Page getPage()

  - ### getYear

    public int getYear()

  - ### getPeriod

    public Period getPeriod()

  - ### getPrimarySortMode

    public int getPrimarySortMode()

  - ### getSecondarySortMode

    public int getSecondarySortMode()

  - ### getAddressSortParamId

    public int getAddressSortParamId()

  - ### getNameSortParam

    public String getNameSortParam()

  - ### getDateType

    public int getDateType()

  - ### getPayedType

    public int getPayedType()

  - ### getUserType

    public int getUserType()

  - ### getUnloadType

    public int getUnloadType()

  - ### getTypeIds

    public List<Integer> getTypeIds()

  - ### getContractLabelIds

    public List<Integer> getContractLabelIds()

  - ### getContractLabelMode

    public String getContractLabelMode()

  - ### getCountOfBill

    public int getCountOfBill()

  - ### isForRegister

    public boolean isForRegister()

  - ### isGetXml

    public boolean isGetXml()

  - ### setAccountId

    public BillListFilter setAccountId(int accountId)

  - ### setBillNumber

    public BillListFilter setBillNumber(String billNumber)

  - ### setContractTitle

    public BillListFilter setContractTitle(String contractTitle)

  - ### setMonth

    public BillListFilter setMonth(int month)

  - ### setPackageId

    public BillListFilter setPackageId(int packageId)

  - ### setPackageParamId

    public BillListFilter setPackageParamId(int packageParamId)

  - ### setPage

    public BillListFilter setPage(Page page)

  - ### setYear

    public BillListFilter setYear(int year)

  - ### setPeriod

    public BillListFilter setPeriod(Period period)

  - ### setPrimarySortMode

    public BillListFilter setPrimarySortMode(int primarySortMode)

  - ### setSecondarySortMode

    public BillListFilter setSecondarySortMode(int secondarySortMode)

  - ### setAddressSortParamId

    public BillListFilter setAddressSortParamId(int addressSortParamId)

  - ### setNameSortParam

    public BillListFilter setNameSortParam(String nameSortParam)

  - ### setDateType

    public BillListFilter setDateType(int dateType)

  - ### setPayedType

    public BillListFilter setPayedType(int payedType)

  - ### setUserType

    public BillListFilter setUserType(int userType)

  - ### setUnloadType

    public BillListFilter setUnloadType(int unloadType)

  - ### setTypeIds

    public BillListFilter setTypeIds(List<Integer> typeIds)

  - ### setContractLabelIds

    public BillListFilter setContractLabelIds(List<Integer> contractLabelIds)

  - ### setContractLabelMode

    public BillListFilter setContractLabelMode(String contractLabelMode)

  - ### setCountOfBill

    public BillListFilter setCountOfBill(int countOfBill)

  - ### setForRegister

    public BillListFilter setForRegister(boolean forRegister)

  - ### setGetXml

    public BillListFilter setGetXml(boolean getXml)